<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
            <h2 id="jhi-customer-heading" jhiTranslate="restaurantApplicationApp.customer.home.createOrEditLabel">Create or edit a Customer</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!customer.id">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id"
                        [(ngModel)]="customer.id" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.customer.firstName" for="field_firstName">First Name</label>
                    <input type="text" class="form-control" name="firstName" id="field_firstName"
                        [(ngModel)]="customer.firstName" required/>
                    <div [hidden]="!(editForm.controls.firstName?.dirty && editForm.controls.firstName?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.firstName?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.customer.lastName" for="field_lastName">Last Name</label>
                    <input type="text" class="form-control" name="lastName" id="field_lastName"
                        [(ngModel)]="customer.lastName" required/>
                    <div [hidden]="!(editForm.controls.lastName?.dirty && editForm.controls.lastName?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.lastName?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.customer.gender" for="field_gender">Gender</label>
                    <select class="form-control" name="gender" [(ngModel)]="customer.gender" id="field_gender"  required>
                        <option value="MALE">{{'restaurantApplicationApp.Gender.MALE' | translate}}</option>
                        <option value="FEMALE">{{'restaurantApplicationApp.Gender.FEMALE' | translate}}</option>
                        <option value="OTHER">{{'restaurantApplicationApp.Gender.OTHER' | translate}}</option>
                    </select>
                    <div [hidden]="!(editForm.controls.gender?.dirty && editForm.controls.gender?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.gender?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.customer.email" for="field_email">Email</label>
                    <input type="text" class="form-control" name="email" id="field_email"
                        [(ngModel)]="customer.email" required pattern="^[^@\s]+@[^@\s]+\.[^@\s]+$"/>
                    <div [hidden]="!(editForm.controls.email?.dirty && editForm.controls.email?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.email?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.controls.email?.errors?.pattern" jhiTranslate="entity.validation.pattern" [translateValues]="{ pattern: 'Email' }">
                            This field should follow pattern for "Email".
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.customer.phone" for="field_phone">Phone</label>
                    <input type="text" class="form-control" name="phone" id="field_phone"
                        [(ngModel)]="customer.phone" required/>
                    <div [hidden]="!(editForm.controls.phone?.dirty && editForm.controls.phone?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.phone?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.customer.addressLine1" for="field_addressLine1">Address Line 1</label>
                    <input type="text" class="form-control" name="addressLine1" id="field_addressLine1"
                        [(ngModel)]="customer.addressLine1" required/>
                    <div [hidden]="!(editForm.controls.addressLine1?.dirty && editForm.controls.addressLine1?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.addressLine1?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.customer.addressLine2" for="field_addressLine2">Address Line 2</label>
                    <input type="text" class="form-control" name="addressLine2" id="field_addressLine2"
                        [(ngModel)]="customer.addressLine2" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.customer.city" for="field_city">City</label>
                    <input type="text" class="form-control" name="city" id="field_city"
                        [(ngModel)]="customer.city" required/>
                    <div [hidden]="!(editForm.controls.city?.dirty && editForm.controls.city?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.city?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.customer.country" for="field_country">Country</label>
                    <input type="text" class="form-control" name="country" id="field_country"
                        [(ngModel)]="customer.country" required/>
                    <div [hidden]="!(editForm.controls.country?.dirty && editForm.controls.country?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.country?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.customer.user" for="field_user">User</label>
                    <select class="form-control" id="field_user" name="user" [(ngModel)]="customer.user"  required>
                        <option *ngIf="!editForm.value.user" [ngValue]="null" selected></option>
                        <option [ngValue]="userOption.id === customer.user?.id ? customer.user : userOption" *ngFor="let userOption of users; trackBy: trackUserById">{{userOption.login}}</option>
                    </select>
                </div>
                <div [hidden]="!(editForm.controls.user?.dirty && editForm.controls.user?.invalid)">
                    <small class="form-text text-danger"
                        [hidden]="!editForm.controls.user?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                    </small>
                </div>
            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
